Skip to main content
PUT
/
api
/
v1
/
:team_slug
/
:app_slug
/
products
/
:product_id
/
images
Error
A valid request URL is required to generate request examples
{
  "data": {
    "alt": "<string>",
    "app_id": "<string>",
    "attributes": [
      {
        "created_at": "<string>",
        "description": "<string>",
        "filterable": true,
        "id": "<string>",
        "key": "<string>",
        "name": "<string>",
        "template_key": "<string>",
        "template_name": "<string>",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ],
          "name": [
            {
              "id": "<string>",
              "locale": "<string>",
              "omni_channel_translations": [
                {
                  "id": "<string>",
                  "market_id": "<string>",
                  "store_group_id": "<string>",
                  "value": "<string>"
                }
              ],
              "value": "<string>"
            }
          ]
        },
        "updated_at": "<string>",
        "values": {}
      }
    ],
    "blurhash": "<string>",
    "copyright": "<string>",
    "custom": {},
    "folder_id": "<string>",
    "id": "<string>",
    "parent_id": "<string>",
    "priority": 123,
    "public": true,
    "source_app_id": "<string>",
    "source_id": "<string>",
    "status": "<string>",
    "title": "<string>",
    "translations": {
      "alt": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ],
      "copyright": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ],
      "title": [
        {
          "id": "<string>",
          "locale": "<string>",
          "omni_channel_translations": [
            {
              "id": "<string>",
              "market_id": "<string>",
              "store_group_id": "<string>",
              "value": "<string>"
            }
          ],
          "value": "<string>"
        }
      ]
    },
    "url": "<string>"
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

product_id
string
required

Product Number

app_slug
string
required

App slug

team_slug
string
required

Team slug

Body

application/x-www-form-urlencoded
image
file

Image file to upload

title
string

Title for the image

status
string

Status for image. One of active, inactive, draft

alt
string

Alternative text for the image

Copyright text for the image

priority
number

Priority for the image list

url
string

URL for image to upload

public
boolean

If image is public or not

filename
string

Custom filename (without extension)

blurhash
string

Optional precomputed blurhash. If provided, generation is skipped

parent_id
string

Parent image ID

attributes
string[]

Attribute for image, e.g. white-background

Response

Image uploaded successfully

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean